local canvas	= love.graphics.newCanvas()
local lumens	= 5
local speed		= 100
local sizeTile	= 5
local sizeView	= { love.graphics.getWidth(), love.graphics.getHeight() }
local pos		= { (sizeView[1] - sizeTile)/2, (sizeView[2] - sizeTile)/2 }
local bgimg		= love.graphics.newImage('cocaine.jpg')

local effect	= love.graphics.newPixelEffect
		[[
			extern number ts;
			extern number pwr;
			extern vec2 pos;

			vec4 effect(vec4 colour, Image img, vec2 percent, vec2 pixel)

			{
			return Texel(img, percent)*(ts/length(pos-pixel)*pwr);
			}
		]]
		
canvas:renderTo(function()

	love.graphics.setColor(125, 125, 125, 125) -- color of light
	love.graphics.rectangle("fill", 0, 0, sizeView[1], sizeView[2]) -- draw area

end)
function love.load()

	effect:send("ts", sizeTile)
	effect:send("pwr", lumens)
	effect:send("pos", pos)
	
end
function love.draw()

	love.graphics.setPixelEffect(effect)
	
	love.graphics.setColor(255,255,255,255)
	love.graphics.draw(bgimg, 50,50)
	
	love.graphics.draw(canvas)
	love.graphics.setPixelEffect()
	

	
	love.graphics.setColor(255,10,10,255)
	love.graphics.print("lumens: "..lumens.."", 10,10)
	love.graphics.print("speed: "..speed.."", 10,25)
	love.graphics.print("sizeTile: "..sizeTile.."", 10,55)
	love.graphics.print("pos1: "..pos[1].."", 10,70)
	love.graphics.print("pos1: "..pos[2].."", 10,85)
	love.graphics.print("sizeView[1]: "..sizeView[1].."", 10,100)
	love.graphics.print("sizeView[2]: "..sizeView[2].."", 10,115)
	
end
function love.update(t)

	if love.keyboard.isDown'up' then pos[2]=math.min(sizeView[2]-sizeTile/4,pos[2]+t*speed)	effect:send("pos",pos)
		elseif love.keyboard.isDown'left'	then pos[1]=math.max(sizeTile/4,pos[1]-t*speed)	effect:send("pos",pos)
		elseif love.keyboard.isDown'down'	then pos[2]=math.max(sizeTile/4,pos[2]-t*speed)	effect:send("pos",pos)
		elseif love.keyboard.isDown'right'	then pos[1]=math.min(sizeView[1]-sizeTile/4,pos[1]+t*speed) effect:send("pos",pos)
	end
		
end
function love.keypressed( key )

	if key == 'escape'	then 
		love.event.quit() 	
	end
	
end
